import { RuntimeO2MField, SubmitValue } from '@oinone/kunlun-engine';
import { CallChaining } from '@oinone/kunlun-shared';
import { AsyncFormSubviewListFieldWidget } from '../../../basic';
export declare class DataPermissionWidget extends AsyncFormSubviewListFieldWidget<RuntimeO2MField> {
    get disabled(): boolean;
    /**
     * 重置数据提交
     * @protected
     */
    protected resetSubmitCallChaining: CallChaining<SubmitValue> | undefined;
    protected get subviewModel(): string;
    protected get subviewModelName(): string;
    protected get subviewModule(): string | undefined;
    protected get subviewModuleName(): string;
    protected getViewDsl(): Promise<any>;
    flushDataSource(): void;
    protected mountedProcess(): Promise<void>;
    submit(): Promise<Record<string, unknown>>;
}
